@cryptotaxi247 / netdata-1 / commits / f39406c9b

Spelling build (#10428)

* spelling: alleviate Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: available Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: berkeley Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: cannot Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: centos Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: context Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: continuously Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: correlate Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: defaults Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: dependencies Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: dependency Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: different Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: doesn't Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: example Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: forbidden Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: necessary Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: nightly Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: normally Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: notification Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: overridden Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: packet Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: program Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: prompted for Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: proxyadmin Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: red hat Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: relative Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: script Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: scriptlet Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: somewhere Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: spinning Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: substitution Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: success Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: successfully Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: sysadmin Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: tarball Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: telemetry Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: temporary Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: timeout Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: unsupported Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: updates Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: useful Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * spelling: way Signed-off-by: Josh Soref <jsoref@users.noreply.github.com> * Update kickstart script checksums in documentation Co-authored-by: Vladimir Kobal <vlad@prokk.net>

Josh Soref committed Apr 5, 2021 at 08:18 UTC f39406c9b692aa17e1d7842feba13fe01e5a3d71
35 files changed +59 -59
.github/scripts/old_package_purging.sh
+1 -1
@@ -2,7 +2,7 @@
2 #
3 # Script to handle package cloud retention policy
4 # Our open source subscription is limited,
5 -# so we use this sript to control the number of packages maintained historically
5 +# so we use this script to control the number of packages maintained historically
6 #
7 # Dependencies:
8 # - PACKAGE_CLOUD_RETENTION_DAYS
.travis/check_changelog_last_modification.sh
+1 -1
@@ -1,6 +1,6 @@
1 #!/usr/bin/env bash
2 #
3 -# This scriptplet validates nightlies age and notifies is if it gets too old
3 +# This scriptlet validates nightlies age and notifies is if it gets too old
4 #
5 # Copyright: SPDX-License-Identifier: GPL-3.0-or-later
6 #
.travis/create_artifacts.sh
+1 -1
@@ -3,7 +3,7 @@
3 # Artifacts creation script.
4 # This script generates two things:
5 # 1) The static binary that can run on all linux distros (built-in dependencies etc)
6 -# 2) The distribution source tarbal
6 +# 2) The distribution source tarball
7 #
8 # Copyright: SPDX-License-Identifier: GPL-3.0-or-later
9 #
.travis/nightlies.sh
+1 -1
@@ -29,7 +29,7 @@ PREVIOUS_NIGHTLY_COUNT="$(rev <packaging/version | cut -d- -f 2 | rev)"
29
30 # If no commits since release, just stop
31 if [ "${COMMITS_SINCE_RELEASE}" == "${PREVIOUS_NIGHTLY_COUNT}" ]; then
32 - echo "No changes since last nighthly release, nothing else to do"
32 + echo "No changes since last nightly release, nothing else to do"
33 exit 0
34 fi
35
CHANGELOG.md
+1 -1
@@ -95,7 +95,7 @@
95 - New version eBPF programs. [\#10707](https://github.com/netdata/netdata/pull/10707) ([thiagoftsm](https://github.com/thiagoftsm))
96 - Add JSON output option for buildinfo. [\#10706](https://github.com/netdata/netdata/pull/10706) ([Ferroin](https://github.com/Ferroin))
97 - Fix disk utilization and backlog charts [\#10705](https://github.com/netdata/netdata/pull/10705) ([vlvkobal](https://github.com/vlvkobal))
98 -- update\_kernel\_version: Fix overflow on Centos and probably Ubuntu [\#10704](https://github.com/netdata/netdata/pull/10704) ([thiagoftsm](https://github.com/thiagoftsm))
98 +- update\_kernel\_version: Fix overflow on CentOS and probably Ubuntu [\#10704](https://github.com/netdata/netdata/pull/10704) ([thiagoftsm](https://github.com/thiagoftsm))
99 - Docs: Convert references to `service` to `systemctl` [\#10703](https://github.com/netdata/netdata/pull/10703) ([joelhans](https://github.com/joelhans))
100 - Add noauthcodecheck workaround flag to the freeipmi plugin [\#10701](https://github.com/netdata/netdata/pull/10701) ([vlvkobal](https://github.com/vlvkobal))
101 - Add guide: LAMP stack monitoring [\#10698](https://github.com/netdata/netdata/pull/10698) ([joelhans](https://github.com/joelhans))
backends/nc-backend.sh
+1 -1
@@ -49,7 +49,7 @@ listen_save_replay_forever() {
49
50 if [ ${ret} -eq 0 ]
51 then
52 - log "Successfuly sent the metrics to ${real_backend_host}:${real_backend_port}"
52 + log "Successfully sent the metrics to ${real_backend_host}:${real_backend_port}"
53 mv "${file}" "${file}.old"
54 touch "${file}"
55 else
claim/netdata-claim.sh.in
+1 -1
@@ -71,7 +71,7 @@ ERROR_MESSAGES[14]="processing claiming"
71 ERROR_KEYS[15]="ErrInternalServerError"
72 ERROR_MESSAGES[15]="Internal Server Error"
73
74 -# Error: There was a timout processing the claim.
74 +# Error: There was a timeout processing the claim.
75 # HTTP Status code: 504
76 # Exit code: 16
77 ERROR_KEYS[16]="ErrGatewayTimeout"
collectors/charts.d.plugin/libreswan/libreswan.chart.sh
+1 -1
@@ -170,7 +170,7 @@ END
170 VALUESEOF
171 }
172
173 -# _update is called continiously, to collect the values
173 +# _update is called continuously, to collect the values
174 libreswan_update() {
175 # the first argument to this function is the microseconds since last update
176 # pass this parameter to the BEGIN statement (see bellow).
collectors/charts.d.plugin/loopsleepms.sh.inc
+1 -1
@@ -10,7 +10,7 @@ fi
10 # -----------------------------------------------------------------------------
11 # use the date command as a high resolution timer
12
13 -# macOS 'date' doesnt support '%N' precision
13 +# macOS 'date' doesn't support '%N' precision
14 # echo $(/bin/date +"%N") is "N"
15 if [ "$($LOOPSLEEP_DATE +"%N")" = "N" ]; then
16 LOOPSLEEP_DATE_FORMAT="%s * 1000"
collectors/charts.d.plugin/opensips/opensips.chart.sh
+1 -1
@@ -158,7 +158,7 @@ opensips_update() {
158 # local opensips_server_all_ then one or more of these a-z 0-9 _ then = and one of more of 0-9
159 # 4. then execute this as a script with the eval
160 # be very carefull with eval:
161 - # prepare the script and always grep at the end the lines that are usefull, so that
161 + # prepare the script and always grep at the end the lines that are useful, so that
162 # even if something goes wrong, no other code can be executed
163
164 unset \
contrib/debian/install_go.sh
+1 -1
@@ -7,7 +7,7 @@ LIBEXEC_DIR="$3"
7 # ############################################################
8 # Package Go within netdata (TBD: Package it separately)
9 safe_sha256sum() {
10 - # Within the contexct of the installer, we only use -c option that is common between the two commands
10 + # Within the context of the installer, we only use -c option that is common between the two commands
11 # We will have to reconsider if we start non-common options
12 if command -v sha256sum >/dev/null 2>&1; then
13 sha256sum $@
contrib/rhel/build-netdata-rpm.sh
+1 -1
@@ -25,7 +25,7 @@ if [[ "${version//-/}" != "$version" ]]; then
25 # Append the current datetime fox a 'unique' build
26 versionfix+="_$(date '+%m%d%H%M%S')"
27 # And issue hints & details on why this failed, and how to fix it
28 - run_failed "Current version contains '-' which is fobidden by rpm. You must create a git annotated tag and rerun this script. Exemple:"
28 + run_failed "Current version contains '-' which is forbidden by rpm. You must create a git annotated tag and rerun this script. Example:"
29 run_failed " git tag -a $versionfix -m 'Release by $(id -nu) on $(uname -n)' && $0"
30 exit 1
31 fi
exporting/nc-exporting.sh
+1 -1
@@ -49,7 +49,7 @@ listen_save_replay_forever() {
49
50 if [ ${ret} -eq 0 ]
51 then
52 - log "Successfuly sent the metrics to ${real_backend_host}:${real_backend_port}"
52 + log "Successfully sent the metrics to ${real_backend_host}:${real_backend_port}"
53 mv "${file}" "${file}.old"
54 touch "${file}"
55 else
health/notifications/health_alarm_notify.conf
+7 -7
@@ -220,8 +220,8 @@ DEFAULT_RECIPIENT_EMAIL="root"
220 # You can also have netdata add headers to the message that will
221 # cause most e-mail clients to treat all notifications for a given
222 # chart+alarm+host combination as a single thread. This can help
223 -# simplify tracking of alarms, as it provides an easy wway for scripts
224 -# to corelate messages and also will cause most clients to group all the
223 +# simplify tracking of alarms, as it provides an easy way for scripts
224 +# to correlate messages and also will cause most clients to group all the
225 # messages together. This is enabled by default, uncomment the line
226 # below if you want to disable it.
227 #EMAIL_THREADING="NO"
@@ -480,7 +480,7 @@ SEND_MSTEAM="YES"
480 # This value will be replaced in the webhook value to publish to several channels in a same Team.
481 # In order to get it working properly, you have to replace the value between [] ....IncomingWebhook/[___]/..... by "CHANNEL" string.
482 DEFAULT_RECIPIENT_MSTEAM=""
483 -# Based on the way MS Teams is working, put the differents channels here like : "CHANNEL1 CHANNEL2 ..."
483 +# Based on the way MS Teams is working, put the different channels here like : "CHANNEL1 CHANNEL2 ..."
484 # AT LEAST ONE CHANNEL IS MANDATORY
485 MSTEAM_WEBHOOK_URL=""
486
@@ -703,7 +703,7 @@ SEND_SYSLOG="NO"
703 # A note on log levels and facilities:
704 #
705 # The traditional UNIX syslog mechanism has the concept of both log
706 -# levels and facilities. A log level indicates the relaitve severity of
706 +# levels and facilities. A log level indicates the relative severity of
707 # the message, while a facility specifies a generic source for the message
708 # (for example, the `mail` facility is where sendmail and postfix log
709 # their messages). All major syslog daemons have the ability to filter
@@ -762,7 +762,7 @@ DEFAULT_RECIPIENT_SYSLOG="netdata"
762 SEND_PROWL="YES"
763
764 # If a role's recipients are not configured, use the following,
765 -# (empty = do not send a notiication for unconfigured roles)
765 +# (empty = do not send a notification for unconfigured roles)
766 #
767 # Recipients for iOS push notifications are Prowl API keys.
768 #
@@ -949,7 +949,7 @@ role_recipients_irc[sysadmin]="${DEFAULT_RECIPIENT_IRC}"
949
950 role_recipients_syslog[sysadmin]="${DEFAULT_RECIPIENT_SYSLOG}"
951
952 -role_recipients_prowl[sysadming]="${DEFAULT_RECIPIENT_PROWL}"
952 +role_recipients_prowl[sysadmin]="${DEFAULT_RECIPIENT_PROWL}"
953
954 role_recipients_awssns[sysadmin]="${DEFAULT_RECIPIENT_AWSSNS}"
955
@@ -1180,7 +1180,7 @@ role_recipients_syslog[proxyadmin]="${DEFAULT_RECIPIENT_SYSLOG}"
1180
1181 role_recipients_prowl[proxyadmin]="${DEFAULT_RECIPIENT_PROWL}"
1182
1183 -role_recipients_awssns[porxyadmin]="${DEFAULT_RECIPIENT_AWSSNS}"
1183 +role_recipients_awssns[proxyadmin]="${DEFAULT_RECIPIENT_AWSSNS}"
1184
1185 role_recipients_custom[proxyadmin]="${DEFAULT_RECIPIENT_CUSTOM}"
1186
netdata-installer.sh
+4 -4
@@ -68,7 +68,7 @@ if [ -z "${TMPDIR}" ] || _cannot_use_tmpdir "${TMPDIR}"; then
68 if _cannot_use_tmpdir /tmp; then
69 if _cannot_use_tmpdir "${PWD}"; then
70 echo >&2
71 - echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
71 + echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
72 exit 1
73 else
74 TMPDIR="${PWD}"
@@ -209,7 +209,7 @@ USAGE: ${PROGRAM} [options]
209 are: systemd, interval, crontab
210 --stable-channel Use packages from GitHub release pages instead of GCS (nightly updates).
211 This results in less frequent updates.
212 - --nightly-channel Use most recent nightly udpates instead of GitHub releases.
212 + --nightly-channel Use most recent nightly updates instead of GitHub releases.
213 This results in more frequent updates.
214 --disable-go Disable installation of go.d.plugin.
215 --disable-ebpf Disable eBPF Kernel plugin (Default: enabled)
@@ -239,7 +239,7 @@ USAGE: ${PROGRAM} [options]
239 --zlib-is-really-here or
240 --libs-are-really-here If you get errors about missing zlib or libuuid but you know it is available, you might
241 have a broken pkg-config. Use this option to proceed without checking pkg-config.
242 - --disable-telemetry Use this flag to opt-out from our anonymous telemetry progam. (DO_NOT_TRACK=1)
242 + --disable-telemetry Use this flag to opt-out from our anonymous telemetry program. (DO_NOT_TRACK=1)
243
244 Netdata will by default be compiled with gcc optimization -O2
245 If you need to pass different CFLAGS, use something like this:
@@ -250,7 +250,7 @@ If you also need to provide different LDFLAGS, use something like this:
250
251 LDFLAGS="<extra ldflag options>" ${PROGRAM} [options]
252
253 -or use the following if both LDFLAGS and CFLAGS need to be overriden:
253 +or use the following if both LDFLAGS and CFLAGS need to be overridden:
254
255 CFLAGS="<gcc options>" LDFLAGS="<extra ld options>" ${PROGRAM} [options]
256
packaging/docker/Dockerfile
+2 -2
@@ -1,7 +1,7 @@
1 # SPDX-License-Identifier: GPL-3.0-or-later
2 # author : paulfantom
3
4 -# This image contains preinstalled dependecies
4 +# This image contains preinstalled dependencies
5 # hadolint ignore=DL3007
6 FROM netdata/builder:latest as builder
7
@@ -52,7 +52,7 @@ RUN mkdir -p /app/usr/sbin/ \
52 chmod +x /app/usr/sbin/run.sh
53
54 #####################################################################
55 -# This image contains preinstalled dependecies
55 +# This image contains preinstalled dependencies
56 # hadolint ignore=DL3007
57 FROM netdata/base:latest as base
58
packaging/installer/functions.sh
+2 -2
@@ -760,7 +760,7 @@ create_netdata_conf() {
760 run_ok "New configuration saved for you to edit at ${path}"
761 else
762 [ -f "${path}.new" ] && rm "${path}.new"
763 - run_failed "Cannnot download configuration from netdata daemon using url '${url}'"
763 + run_failed "Cannot download configuration from netdata daemon using url '${url}'"
764 url=''
765 fi
766 fi
@@ -891,7 +891,7 @@ portable_add_user_to_group() {
891 }
892
893 safe_sha256sum() {
894 - # Within the contexct of the installer, we only use -c option that is common between the two commands
894 + # Within the context of the installer, we only use -c option that is common between the two commands
895 # We will have to reconsider if we start non-common options
896 if command -v sha256sum > /dev/null 2>&1; then
897 sha256sum "$@"
packaging/installer/install-required-packages.sh
+5 -5
@@ -141,7 +141,7 @@ EOF
141
142 release2lsb_release() {
143 # loads the given /etc/x-release file
144 - # this file is normaly a single line containing something like
144 + # this file is normally a single line containing something like
145 #
146 # X Linux release 1.2.3 (release-name)
147 #
@@ -322,8 +322,8 @@ user_picks_distribution() {
322 echo >&2 "I found though that the following installers are available:"
323 echo >&2
324 [ -n "${apt_get}" ] && echo >&2 " - Debian/Ubuntu based (installer is: apt-get)" && opts="apt-get ${opts}"
325 - [ -n "${yum}" ] && echo >&2 " - Redhat/Fedora/Centos based (installer is: yum)" && opts="yum ${opts}"
326 - [ -n "${dnf}" ] && echo >&2 " - Redhat/Fedora/Centos based (installer is: dnf)" && opts="dnf ${opts}"
325 + [ -n "${yum}" ] && echo >&2 " - Red Hat/Fedora/CentOS based (installer is: yum)" && opts="yum ${opts}"
326 + [ -n "${dnf}" ] && echo >&2 " - Red Hat/Fedora/CentOS based (installer is: dnf)" && opts="dnf ${opts}"
327 [ -n "${zypper}" ] && echo >&2 " - SuSe based (installer is: zypper)" && opts="zypper ${opts}"
328 [ -n "${pacman}" ] && echo >&2 " - Arch Linux based (installer is: pacman)" && opts="pacman ${opts}"
329 [ -n "${emerge}" ] && echo >&2 " - Gentoo based (installer is: emerge)" && opts="emerge ${opts}"
@@ -1265,7 +1265,7 @@ suitable_package() {
1265 return 0
1266 elif [ -z "${p}" ]; then
1267 echo >&2 "WARNING"
1268 - echo >&2 "package ${1} is not availabe in this system."
1268 + echo >&2 "package ${1} is not available in this system."
1269 echo >&2
1270 return 1
1271 else
@@ -1492,7 +1492,7 @@ install_apt_get() {
1492 prompt() {
1493 if [ "${NON_INTERACTIVE}" -eq 1 ]; then
1494 echo >&2 "Running in non-interactive mode, assuming yes (y)"
1495 - echo >&2 " > Would have promptedfor ${1} ..."
1495 + echo >&2 " > Would have prompted for ${1} ..."
1496 return 0
1497 fi
1498
packaging/installer/kickstart-static64.sh
+2 -2
@@ -151,7 +151,7 @@ create_tmp_directory() {
151 if _cannot_use_tmpdir /tmp ; then
152 if _cannot_use_tmpdir "${PWD}" ; then
153 echo >&2
154 - echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
154 + echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
155 exit 1
156 else
157 TMPDIR="${PWD}"
@@ -283,7 +283,7 @@ while [ -n "${1}" ]; do
283 done
284
285 if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
286 - NETDATA_INSTALLER_OPTIONS="${NETDATA_INSTALLER_OPTIONS:+${NETDATA_INSTALLER_OPTIONS} }--disable-telemtry"
286 + NETDATA_INSTALLER_OPTIONS="${NETDATA_INSTALLER_OPTIONS:+${NETDATA_INSTALLER_OPTIONS} }--disable-telemetry"
287 fi
288
289 if [ -n "${NETDATA_DISABLE_CLOUD}" ]; then
packaging/installer/kickstart.sh
+2 -2
@@ -183,7 +183,7 @@ create_tmp_directory() {
183 if _cannot_use_tmpdir /tmp ; then
184 if _cannot_use_tmpdir "${PWD}" ; then
185 echo >&2
186 - echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
186 + echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
187 exit 1
188 else
189 TMPDIR="${PWD}"
@@ -293,7 +293,7 @@ dependencies() {
293 }
294
295 safe_sha256sum() {
296 - # Within the contexct of the installer, we only use -c option that is common between the two commands
296 + # Within the context of the installer, we only use -c option that is common between the two commands
297 # We will have to reconsider if we start non-common options
298 if command -v sha256sum > /dev/null 2>&1; then
299 sha256sum "$@"
packaging/installer/methods/kickstart-64.md
+1 -1
@@ -77,7 +77,7 @@ To use `md5sum` to verify the integrity of the `kickstart-static64.sh` script yo
77 command above, run the following:
78
79 ```bash
80 -[ "33ed36d80c7db0e501b68c4c0c3ceb02" = "$(curl -Ss https://my-netdata.io/kickstart-static64.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
80 +[ "c735fd724be5726c8a1850deed2793b8" = "$(curl -Ss https://my-netdata.io/kickstart-static64.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
81 ```
82
83 If the script is valid, this command will return `OK, VALID`.
packaging/installer/methods/kickstart.md
+1 -1
@@ -60,7 +60,7 @@ To use `md5sum` to verify the integrity of the `kickstart.sh` script you will do
60 run the following:
61
62 ```bash
63 -[ "35e92cd3fd8a29621e23962ac5626dfc" = "$(curl -Ss https://my-netdata.io/kickstart.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
63 +[ "a708de3790fa39188babe71eb1639c66" = "$(curl -Ss https://my-netdata.io/kickstart.sh | md5sum | cut -d ' ' -f 1)" ] && echo "OK, VALID" || echo "FAILED, INVALID"
64 ```
65
66 If the script is valid, this command will return `OK, VALID`.
packaging/installer/netdata-uninstaller.sh
+1 -1
@@ -14,7 +14,7 @@
14 usage="$(basename "$0") [-h] [-f ] -- program to calculate the answer to life, the universe and everything
15
16 where:
17 - -e, --env path to environment file (defauls to '/etc/netdata/.environment'
17 + -e, --env path to environment file (defaults to '/etc/netdata/.environment'
18 -f, --force force uninstallation and do not ask any questions
19 -h show this help text
20 -y, --yes flag needs to be set to proceed with uninstallation"
packaging/installer/netdata-updater.sh
+7 -7
@@ -65,7 +65,7 @@ if [ "${ENVIRONMENT_FILE}" == "THIS_SHOULD_BE_REPLACED_BY_INSTALLER_SCRIPT" ]; t
65 fi
66
67 safe_sha256sum() {
68 - # Within the contexct of the installer, we only use -c option that is common between the two commands
68 + # Within the context of the installer, we only use -c option that is common between the two commands
69 # We will have to reconsider if we start non-common options
70 if command -v sha256sum > /dev/null 2>&1; then
71 sha256sum "$@"
@@ -123,7 +123,7 @@ create_tmp_directory() {
123 if _cannot_use_tmpdir /tmp ; then
124 if _cannot_use_tmpdir "${PWD}" ; then
125 echo >&2
126 - echo >&2 "Unable to find a usable temprorary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
126 + echo >&2 "Unable to find a usable temporary directory. Please set \$TMPDIR to a path that is both writable and allows execution of files and try again."
127 exit 1
128 else
129 TMPDIR="${PWD}"
@@ -215,7 +215,7 @@ parse_version() {
215 r="${1}"
216 if echo "${r}" | grep -q '^v.*'; then
217 # shellcheck disable=SC2001
218 - # XXX: Need a regex group subsitutation here.
218 + # XXX: Need a regex group substitution here.
219 r="$(echo "${r}" | sed -e 's/^v\(.*\)/\1/')"
220 fi
221
@@ -297,7 +297,7 @@ update() {
297 rm netdata-latest.tar.gz >&3 2>&3
298 cd netdata-* || exit 1
299 RUN_INSTALLER=1
300 - cd "${NETDATA_LOCAL_TARBAL_OVERRIDE}" || exit 1
300 + cd "${NETDATA_LOCAL_TARBALL_OVERRIDE}" || exit 1
301 fi
302
303 # We got the sources, run the update now
@@ -362,7 +362,7 @@ while [ -n "${1}" ]; do
362 fi
363 done
364
365 -# Random sleep to aileviate stampede effect of Agents upgrading
365 +# Random sleep to alleviate stampede effect of Agents upgrading
366 # and disconnecting/reconnecting at the same time (or near to).
367 # But only we're not a controlling terminal (tty)
368 # Randomly sleep between 1s and 60m
@@ -376,7 +376,7 @@ source "${ENVIRONMENT_FILE}" || exit 1
376 # We dont expect to find lib dir variable on older installations, so load this path if none found
377 export NETDATA_LIB_DIR="${NETDATA_LIB_DIR:-${NETDATA_PREFIX}/var/lib/netdata}"
378
379 -# Source the tarbal checksum, if not already available from environment (for existing installations with the old logic)
379 +# Source the tarball checksum, if not already available from environment (for existing installations with the old logic)
380 [[ -z "${NETDATA_TARBALL_CHECKSUM}" ]] && [[ -f ${NETDATA_LIB_DIR}/netdata.tarball.checksum ]] && NETDATA_TARBALL_CHECKSUM="$(cat "${NETDATA_LIB_DIR}/netdata.tarball.checksum")"
381
382 # Grab the nightlies baseurl (defaulting to our Google Storage bucket)
@@ -412,7 +412,7 @@ if [ "${IS_NETDATA_STATIC_BINARY}" == "yes" ]; then
412 download "${NETDATA_TARBALL_CHECKSUM_URL}" "${ndtmpdir}/sha256sum.txt"
413 download "${NETDATA_TARBALL_URL}" "${ndtmpdir}/netdata-latest.gz.run"
414 if ! grep netdata-latest.gz.run "${ndtmpdir}/sha256sum.txt" | safe_sha256sum -c - > /dev/null 2>&1; then
415 - fatal "Static binary checksum validation failed. Stopping netdata installation and leaving binary in ${ndtmpdir}\nUsually this is a result of an older copy of the file being cached somehere and can be resolved by simply retrying in an hour."
415 + fatal "Static binary checksum validation failed. Stopping netdata installation and leaving binary in ${ndtmpdir}\nUsually this is a result of an older copy of the file being cached somewhere and can be resolved by simply retrying in an hour."
416 fi
417
418 # Do not pass any options other than the accept, for now
packaging/makeself/install-alpine-packages.sh
+1 -1
@@ -39,7 +39,7 @@ apk add --no-cache -U \
39 gzip \
40 xz || exit 1
41
42 -# snappy doesnt have static version in alpine, let's compile it
42 +# snappy doesn't have static version in alpine, let's compile it
43 export SNAPPY_VER="1.1.7"
44 wget -O /snappy.tar.gz https://github.com/google/snappy/archive/${SNAPPY_VER}.tar.gz
45 tar -C / -xf /snappy.tar.gz
packaging/makeself/install-or-update.sh
+1 -1
@@ -58,7 +58,7 @@ while [ "${1}" ]; do
58 done
59
60 if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
61 - REINSTALL_OPTIONS="${REINSTALL_OPTIONS} --disable-telemtry"
61 + REINSTALL_OPTIONS="${REINSTALL_OPTIONS} --disable-telemetry"
62 fi
63
64 deleted_stock_configs=0
packaging/makeself/makeself-help-header.txt
+1 -1
@@ -28,7 +28,7 @@
28
29 - /lib/systemd/system/netdata.service
30
31 - or, for older Centos, Debian/Ubuntu or OpenRC Gentoo:
31 + or, for older CentOS, Debian/Ubuntu or OpenRC Gentoo:
32
33 - /etc/init.d/netdata will be created
34
packaging/makeself/makeself-license.txt
+1 -1
@@ -28,7 +28,7 @@
28
29 - /lib/systemd/system/netdata.service
30
31 - or, for older Centos, Debian/Ubuntu or OpenRC Gentoo:
31 + or, for older CentOS, Debian/Ubuntu or OpenRC Gentoo:
32
33 - /etc/init.d/netdata will be created
34
packaging/makeself/makeself.sh
+2 -2
@@ -40,7 +40,7 @@
40 # - 2.0.1 : Added --copy
41 # - 2.1.0 : Allow multiple tarballs to be stored in one archive, and incremental updates.
42 # Added --nochown for archives
43 -# Stopped doing redundant checksums when not necesary
43 +# Stopped doing redundant checksums when not necessary
44 # - 2.1.1 : Work around insane behavior from certain Linux distros with no 'uncompress' command
45 # Cleaned up the code to handle error codes from compress. Simplified the extraction code.
46 # - 2.1.2 : Some bug fixes. Use head -n to avoid problems.
@@ -63,7 +63,7 @@
63 # Check for available disk space before extracting to the target directory (Andreas Schweitzer)
64 # Allow extraction to run asynchronously (patch by Peter Hatch)
65 # Use file descriptors internally to avoid error messages (patch by Kay Tiong Khoo)
66 -# - 2.1.6 : Replaced one dot per file progress with a realtime progress percentage and a spining cursor (Guy Baconniere)
66 +# - 2.1.6 : Replaced one dot per file progress with a realtime progress percentage and a spinning cursor (Guy Baconniere)
67 # Added --noprogress to prevent showing the progress during the decompression (Guy Baconniere)
68 # Added --target dir to allow extracting directly to a target directory (Guy Baconniere)
69 # - 2.2.0 : Many bugfixes, updates and contributions from users. Check out the project page on Github for the details.
packaging/scripts/install.sh
+1 -1
@@ -77,7 +77,7 @@ case "${DISTRO}" in
77 install_suse_like
78 ;;
79 *)
80 - printf "ERROR: unspported distro: %s_%s\n" "${DISTRO}" "${DISTRO_VERSION}"
80 + printf "ERROR: unsupported distro: %s_%s\n" "${DISTRO}" "${DISTRO_VERSION}"
81 exit 1
82 ;;
83 esac
tests/alarm_repetition/alarm.sh.in
+1 -1
@@ -84,6 +84,6 @@ cp -a netdata.conf_with_repetition netdata.conf
84 process_data "ram_with" "I" "activated."
85 rm netdata.conf
86
87 -echo -e "${GREEN} all the tests were sucessful ${NOCOLOR}"
87 +echo -e "${GREEN} all the tests were successful ${NOCOLOR}"
88 rm "$HEALTHDIR/ram.conf"
89 rm -rf $OUTDIR
tests/installer/checksums.sh
+1 -1
@@ -51,4 +51,4 @@ check_file() {
51 check_file kickstart.sh packaging/installer/methods/kickstart.md
52 check_file kickstart-static64.sh packaging/installer/methods/kickstart-64.md
53
54 -echo "No problems found, exiting succesfully!"
54 +echo "No problems found, exiting successfully!"
tests/template_dimension/template_dim.sh.in
+1 -1
@@ -85,4 +85,4 @@ process_data "foreach_with_template" 10 "$HEALTHDIR/dim_foreach_with_template_sp
85 rm "$HEALTHDIR/dim_foreach_with_template_sp.conf"
86 rm -rf "$OUTDIR"
87
88 -echo -e "${GREEN} all the tests were sucessful ${NOCOLOR}"
88 +echo -e "${GREEN} all the tests were successful ${NOCOLOR}"
tests/updater_checks.bats
+1 -1
@@ -54,7 +54,7 @@ setup() {
54 @test "update netdata using the new updater" {
55 export ENVIRONMENT_FILE="${ENV}"
56 # Run the updater, with the override so that it uses the local repo we have at hand
57 - export NETDATA_LOCAL_TARBAL_OVERRIDE="${PWD}"
57 + export NETDATA_LOCAL_TARBALL_OVERRIDE="${PWD}"
58 ${INSTALLATION}/netdata/usr/libexec/netdata/netdata-updater.sh --not-running-from-cron
59 ! grep "new_installation" "${ENV}"
60 }
tests/updater_checks.sh
+1 -1
@@ -63,7 +63,7 @@ case "${running_os}" in
63 ;;
64 esac
65
66 -# Run depednency scriptlet, before anything else
66 +# Run dependency scriptlet, before anything else
67 #
68 ./packaging/installer/install-required-packages.sh --non-interactive netdata
69